Bug 1282446 - Packagekit fails to add epson printer drivers
Summary: Packagekit fails to add epson printer drivers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-16 12:43 UTC by Sitsofe Wheeler
Modified: 2019-11-02 15:51 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1195902
: 1323033 (view as bug list)
Environment:
Last Closed: 2018-11-30 23:37:16 UTC


Attachments (Terms of Use)

Description Sitsofe Wheeler 2015-11-16 12:43:37 UTC
Description of problem:
When trying to add an Epson WF-3520 printer an "Additional Printer Drivers Required" prompt appeared but clicking it resulted in an error message.

Version-Release number of selected component (if applicable):
control-center-3.18.1-1.fc23.x86_64
epson-inkjet-printer-escpr-1.5.2-1.1lsb3.2.fc23.x86_64
PackageKit-1.0.10-1.fc23.x86_64

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Run
gnome-control-center printers
.
2. Click the Unlock button at the top right.
3. Click the + button at the bottom left.
4. Wait for the networked WF-3520 printer to appear.
5. In the "Add a New Printer" dialog select the WF-3520 printer and click the Add button at the bottom right.

Actual results:
A notification appears at the top of the screen saying "Additional Printer Drivers Required" but the Model in the Printers window is filled in with "Generic ESC/P Dot Matrix Printer" or "Generic text-only printer". Clicking the notification and choosing "Find in software" results in a window called "Unable to Find Requested Software" and a message "Unfortunately, the EPSON WF-3520 Series you were searching for could not be found. Please see this website for more information." (but the text itself is not selectable). The following is visible in journal --user:
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: /usr/share/system-config-printer/scp-dbus-service.py:26: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded.
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: from gi.repository import Gdk
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: /usr/share/system-config-printer/scp-dbus-service.py:27: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: from gi.repository import Gtk
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: /usr/share/system-config-printer/jobviewer.py:28: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: from gi.repository import Notify
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: /usr/share/system-config-printer/jobviewer.py:55: PyGIWarning: GnomeKeyring was imported without specifying a version first. Use gi.require_version('GnomeKeyring', '1.0') before import to ensure that the right version gets loaded.
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: from gi.repository import GnomeKeyring
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: No ID match for device lpd://192.0.2.1:515/PASSTHRU:
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: MFG:EPSON;MDL:WF-3520 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1;DES:EPSON WF-3520 Series;
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: No ID match for device lpd://192.0.2.1:515/PASSTHRU:
Nov 16 07:27:55 localhost org.fedoraproject.Config.Printing[1472]: MFG:EPSON;MDL:WF-3520 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1;DES:EPSON WF-3520 Series;

Expected results:
A notification to appear, for the process to wait for me to acknowledge the notification and for it to be suggested that I install the epson-inkjet-printer-escpr package and after installing it for it to be used as the selected model.

Additional info:
It seems there are two problems - the first is that installation of the printer didn't wait for me to respond to the find software message and the second is that a package that would have solved the problem wasn't found.

Comment 1 Michael DePaulo 2015-11-30 05:01:36 UTC
I think I experienced this also, but with system-config-printer (under MATE) and an Epson WF-3640. The user experience is similar.

Note that I do not see any relevant lines from `journalctl --user`.

Here is how I worked around it successfully (#4), even though an error does seem to be happening (#5):
1. Install the epson-inkjet-printer-escpr via dnf.
2. Attempt to add the printer again.
3. I click "Find in Software" to the "Additional Printer Drivers Required" notification.
4. The printer installation continued/succeeds via the "New Printer" window.
5. However, GNOME Software still opens up and says "Unfortunately, the EPSON WF-3640 Series you were searching for could not be found. Please see this website for more information." where "this website" == https://fedoraproject.org/wiki/PackageKit_Items_Not_Found#Missing_Driver .

system-config-printer-1.5.7-5.fc23.x86_64
gnome-software-3.18.31-1.fc23.x86_64
epson-inkjet-printer-escpr-1.5.2-1.1lsb3.2.fc23.x86_64
PackageKit-1.0.10-2.fc23.x86_64

Comment 2 Sitsofe Wheeler 2016-04-01 04:06:52 UTC
It turns out epson-inkjet-printer-escpr is missing the provides that indicate which drivers are provided so this part of the issue has been spun off to Bug #1323033 .

Comment 3 Sitsofe Wheeler 2016-04-02 08:22:25 UTC
system-config-printer exhibits the same behaviour as GNOME control center: shortly after searching for drivers begins the searching dialog closes, a notification appears about installing software but the printer dialog proceeds to the next page without waiting for the user to dismiss the notification/install something.

As both GNOME control center and system-config-printer use system-config-printer-libs it's not clear if this issue is in system-config-printer or PackageKit (or some combination of the two).

CC'ing and needinfo'ing Tim Waugh for further input.

Comment 4 Marek Kašík 2016-04-04 08:50:46 UTC
This is probably related to this upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=759497.

Comment 5 Sitsofe Wheeler 2016-04-04 13:18:25 UTC
Marek: Did you want to file this against gnome-software?

Comment 6 Sitsofe Wheeler 2016-07-17 06:10:49 UTC
Still here in Fedora 24 with
control-center-3.20.1-1.fc24.x86_64
gnome-software-3.20.3-1.fc24.x86_64

Changing needinfo to Marek wrt to comment #5 .

Comment 7 Marek Kašík 2016-07-18 08:46:43 UTC
You are right, this should be assigned to gnome-software.

Comment 8 Fedora End Of Life 2017-07-25 19:30:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-08-08 12:25:11 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Marek Kašík 2017-08-16 10:32:54 UTC
Still valid on Fedora 26.

Comment 11 Jan Kurik 2018-05-31 09:04:21 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 12 Sitsofe Wheeler 2018-06-01 06:06:33 UTC
Sadly I'm no longer in a position to check this bug (no Epson printers around) but if others are still seeing this please speak up!

Comment 13 olivialee 2018-10-12 12:25:28 UTC
This happens when accessing Epson's download server. This problem is not caused by the replacement of the OpenPrinting web server. for resolving this you may take help with https://www.epsonsupport247.com/

Comment 15 Ben Cotton 2018-11-27 13:41:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 23:37:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Epson Service 2019-11-02 15:51:31 UTC
This is a very serious problem with your Epson printer. It happens when accessing Epson's download server. This problem is not caused by the replacement of the OpenPrinting web server. for resolving this you may take help with https://onsiteprinterhelpdesk.com/epson-printer-service/


Note You need to log in before you can comment on or make changes to this bug.